Bug 992999 - [abrt] pulseaudio-3.0-10.fc19: pa_idxset_string_hash_func: Process /usr/bin/pulseaudio was killed by signal 11 (SIGSEGV)
[abrt] pulseaudio-3.0-10.fc19: pa_idxset_string_hash_func: Process /usr/bin/p...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:c2aeb7cb6ed30f7ad47df60e49c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 07:39 EDT by Pierguido Lambri
Modified: 2015-02-17 11:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:35:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.93 KB, text/plain)
2013-08-05 07:39 EDT, Pierguido Lambri
no flags Details
File: cgroup (152 bytes, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: core_backtrace (7.96 KB, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: dso_list (7.14 KB, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: environ (175 bytes, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: maps (34.11 KB, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: open_fds (334 bytes, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details
File: var_log_messages (2.83 KB, text/plain)
2013-08-05 07:40 EDT, Pierguido Lambri
no flags Details

  None (edit)
Description Pierguido Lambri 2013-08-05 07:39:54 EDT
Description of problem:
I have disconnected a couple of times a external usb DAC because it was sounding wrong.
At the second re-connection (on a different usb port) I got this

Version-Release number of selected component:
pulseaudio-3.0-10.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: pa_idxset_string_hash_func
executable:     /usr/bin/pulseaudio
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            987

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pa_idxset_string_hash_func at pulsecore/idxset.c:67
 #1 remove_entry at pulsecore/hashmap.c:93
 #2 pa_hashmap_free at pulsecore/hashmap.c:110
 #3 pa_dbusiface_card_free at modules/dbus/iface-card.c:523
 #4 subscription_cb at modules/dbus/iface-core.c:1678
 #5 defer_cb at pulsecore/core-subscribe.c:174
 #6 dispatch_defer at pulse/mainloop.c:684
 #7 pa_mainloop_dispatch at pulse/mainloop.c:899
 #8 pa_mainloop_iterate at pulse/mainloop.c:939
 #9 pa_mainloop_run at pulse/mainloop.c:954

Potential duplicate: bug 902879
Comment 1 Pierguido Lambri 2013-08-05 07:39:59 EDT
Created attachment 782757 [details]
File: backtrace
Comment 2 Pierguido Lambri 2013-08-05 07:40:02 EDT
Created attachment 782758 [details]
File: cgroup
Comment 3 Pierguido Lambri 2013-08-05 07:40:06 EDT
Created attachment 782759 [details]
File: core_backtrace
Comment 4 Pierguido Lambri 2013-08-05 07:40:10 EDT
Created attachment 782760 [details]
File: dso_list
Comment 5 Pierguido Lambri 2013-08-05 07:40:13 EDT
Created attachment 782761 [details]
File: environ
Comment 6 Pierguido Lambri 2013-08-05 07:40:17 EDT
Created attachment 782762 [details]
File: exploitable
Comment 7 Pierguido Lambri 2013-08-05 07:40:20 EDT
Created attachment 782763 [details]
File: limits
Comment 8 Pierguido Lambri 2013-08-05 07:40:24 EDT
Created attachment 782764 [details]
File: maps
Comment 9 Pierguido Lambri 2013-08-05 07:40:27 EDT
Created attachment 782765 [details]
File: open_fds
Comment 10 Pierguido Lambri 2013-08-05 07:40:31 EDT
Created attachment 782766 [details]
File: proc_pid_status
Comment 11 Pierguido Lambri 2013-08-05 07:40:35 EDT
Created attachment 782767 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:17:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:35:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.